using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Drawing;

namespace MKDS_Course_Editor.NKM
{
    public class NkmObjiPointCollection
    {
        private List<NkmObjiPoint> Points = new List<NkmObjiPoint>();
        public void Add(NkmObjiPoint n)
        {
            Points.Add(n);
        }
        public void Add(float X, float Y, float Z)
        {
            Points.Add(new NkmObjiPoint(X,Y,Z));
        }
        public void Add(float X, float Y, float Z, Bitmap MarkerImage)
        {
            Points.Add(new NkmObjiPoint(X, Y, Z, MarkerImage));
        }
        public void Add(float X, float Y, float Z, float Angle)
        {
            Points.Add(new NkmObjiPoint(X, Y, Z, Angle));
        }
        public void Add(float X, float Y, float Z, float Angle, Bitmap MarkerImage)
        {
            Points.Add(new NkmObjiPoint(X, Y, Z,Angle, MarkerImage));
        }
        public NkmObjiPoint this[int i]
        {
            get { return Points[i]; }
            set { Points[i] = value; }
        }
        public int Length
        {
            get { return Points.Count; }
        }
        public void RemoveAt(int i)
        {
            Points.RemoveAt(i);
        }
        public void Insert(int i, NkmObjiPoint p)
        {
            Points.Insert(i, p);
        }
    }
}
